> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snagsolutions.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Loyalty Multiplier by External Identifier

> Delete a loyalty multiplier by its external identifier.



## OpenAPI

````yaml /api-reference/openapi.documented.json delete /api/loyalty/multipliers
openapi: 3.0.2
info:
  title: Snag Solutions - API Docs
  description: >-
    Documentation for Loyalty & Socials APIs. Some endpoints require an API key
    to authenticate. To obtain a key, reach out to the Snag Solutions team at
    support@snagsolutions.io.
  version: '0.1'
servers:
  - url: https://admin.snagsolutions.io/
    description: Production
security: []
paths:
  /api/loyalty/multipliers:
    delete:
      tags:
        - Loyalty
      summary: Delete Loyalty Multiplier by External Identifier
      description: Delete a loyalty multiplier by its external identifier.
      parameters: []
      requestBody:
        description: Body
        content:
          application/json:
            schema:
              type: object
              properties:
                externalIdentifier:
                  type: string
              required:
                - externalIdentifier
              title: Delete Loyalty Multiplier Schema
              description: Schema for deleting a loyalty multiplier
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                  userId:
                    type: string
                    format: uuid
                  websiteId:
                    type: string
                    format: uuid
                  organizationId:
                    type: string
                    format: uuid
                  multiplier:
                    type: number
                    minimum: 0.01
                    maximum: 1000
                    exclusiveMaximum: true
                  title:
                    type: string
                    nullable: true
                  description:
                    type: string
                    nullable: true
                  externalIdentifier:
                    type: string
                    nullable: true
                  createdAt:
                    type: string
                  updatedAt:
                    type: string
                  deletedAt:
                    type: string
                    nullable: true
                  user:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                      walletAddress:
                        type: string
                    required:
                      - id
                      - walletAddress
                    title: Loyalty Multiplier User Schema
                    description: Schema for a loyalty multiplier user
                  loyaltyRuleId:
                    type: string
                    format: uuid
                required:
                  - id
                  - userId
                  - websiteId
                  - organizationId
                  - multiplier
                  - title
                  - description
                  - externalIdentifier
                  - createdAt
                  - updatedAt
                  - deletedAt
                  - user
                title: Loyalty Multiplier Schema
                description: Schema for loyalty multiplier
        '400':
          description: '400'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Request body is invalid
                required:
                  - message
                title: Bad Request Response
                description: Schema for bad request response
        '403':
          description: '403'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Forbidden, Could not validate api key
                required:
                  - message
                title: Forbidden Response
                description: Schema for forbidden response
                example: Forbidden, Could not validate api key
        '404':
          description: '404'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Not found
                required:
                  - message
                title: Not Found Response
                description: Schema for not found response
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````